//JQUERY
$(document).ready(function(){
	
	//Quickpreload loading.gif
	spinner = new Image();
	spinner.src = "img/loading.gif";
	
	var z = 0;
	var small = '200px';
	var full = '400px';
	
	$(".thumb").each(
	function() {

		var l = Math.floor(Math.random() * ($(document).width()-400));
		var t = Math.floor(Math.random() * ($(document).height()-400));

		$(this).css("left", l + 'px');
		$(this).css("top", t + 'px');
	
	});
	
	$(".thumb").draggable({ containment: "window" });

	
	$(".thumb").bind( "mousedown", function() {
		//$('.thumb').not(this).unbind('mouseenter mouseleave');
		$('.thumb').unbind('mouseenter mouseleave');
	});
	
	$(".thumb").bind( "mouseup", function() {
		bind_hover();
	});
	
	$formats = '.text, .file, .video, .audio, .folder';
	
	function bind_hover() {

		$(".thumb").hover(
			function () {
				$(this).not($formats).stop().animate({"height": full}, "fast");
				$(this).css('z-index', z);
				z++;
			},
			function () {
				$(this).not($formats).stop().animate({"height": small}, "fast");
		}
	)};
	
	bind_hover();
	
	/*
	//Random Bright Color
	*/
	/*$(".text").each(function() { this.style.backgroundColor = randomCol() });
	
	function randomCol() {
		//calculate a random color
		var bmin = 0x90;
		var bmax = 0xFF;
		var bR = bmin+Math.random()*(bmax-bmin);
		var bG = bmin+Math.random()*(bmax-bmin);
		var bB = bmin+Math.random()*(bmax-bmin);
		var bright = bR << 16 | bG << 8 | bB;
		var bc = '#' + bright.toString(16);
		return bc;
	}*/
	
	/*
	//Video and Audio Controls
	*/
	
	/*$('.audio, .video').prepend("<img src='img/play.png'/>");
 	$('.player_audio').click(function() {
	  if (this.paused == false) {
	      this.pause();
	  } else {
	      this.play();
	  }
	});
	
	$('.player_video').click(function() {
	  if (this.paused == false) {
	      this.pause();
	  } else {
	      this.play();
	  }
	});*/
	
	
	$('.folder a').click(function(e) {
		$(this).css('z-index', z);
		z++;
		e.preventDefault();
	});
	
	$('.folder a').dblclick(function(e) {
	  	window.location.href = $(this).attr("href");
	});
	
});